package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckQualityResult;
import com.steerinfo.dil.model.TmstruckQualityResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstruckQualityResultMapper extends IBaseMapper<TmstruckQualityResult, BigDecimal> {

    int updateQuality(Map<String, Object> map1);

    BigDecimal selectSamplePlaceId(String samplePlaceName);

    // 得到销售订单主键
    @Select("select seq_tmstruck_quality_result.nextval from dual")
    BigDecimal qualityId();


}